  type t
  (* The of_num and to_num functions are the interface between this
  abstraction layer and the underlying layer *)
  val of_num: Uncert.t -> t
  val to_num: t -> Uncert.t
  (* scale number by a float *)
  val scale:  t -> float -> t
  (* algebraic operations on the type *)
  val add: t -> t -> t
  val sub: t -> t -> t
  val mul: t -> t -> t
  val div: t -> t -> t
  (* print number *)
  val to_string: t -> string
